---
updatedAt: 2026-07-02T14:39:48.000Z
---

# Retrieve a list of sites

This operation returns an object containing information about one or more sites which the current user can access, as specified by a list of comma-separated Site IDs. Other query parameters are honored, but will be limited to operating on only the sites specified by the site IDs.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "x-explorer-enabled": false,
  "info": {
    "title": "Site API (Legacy)",
    "license": {
      "name": "(c) Copyright 2021 WhiteHat Security"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com"
    }
  ],
  "paths": {
    "/api/site/{site_id},{site_id},...": {
      "get": {
        "tags": [
          "Site API v1.0"
        ],
        "summary": "Retrieve a list of sites",
        "description": "This operation returns an object containing information about one or more sites which the current user can access, as specified by a list of comma-separated Site IDs. Other query parameters are honored, but will be limited to operating on only the sites specified by the site IDs.",
        "operationId": "getListOfSites",
        "parameters": [
          {
            "name": "site_id",
            "in": "path",
            "description": "Retrieve sites based on Site ID.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer"
              }
            }
          },
          {
            "name": "client_id",
            "in": "query",
            "description": "Retrieve all accessible sites that are associated with the Client ID given. Equivalent to 'query_client_id'.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "group_id",
            "in": "query",
            "description": "Retrieve sites assigned to the Group ID given. NOTE: Group IDs are client-specific. If no client_id is given along with this parameter, the user''s native client is assumed.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "query_activation_date",
            "in": "query",
            "description": "DEPRECATED. Retrieve sites that match the given date, which represents the date the scanning of the site was activated. Requires a date format string. EXAMPLE: ''YYYY-MM-DD hh:mm:ss'' -> ''2012-10-19 10:23:54''",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_active_admin",
            "in": "query",
            "description": "Administrative approval refers to things such as service contracts being signed or payment approval. Use a value of 0 to retrieve sites that lack administrative approval, 1 for sites that have approval.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "query_active_consult",
            "in": "query",
            "description": "The term ''active_consult'' refers to decisions made by TRC in the operation of scanning or evaluating a site. This is used to disable scans when there are technical issues. Use a value of 0 to retrieve disabled sites, 1 to retrieve enabled sites.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "query_active_user",
            "in": "query",
            "description": "The term ''active_user'' refers to the customer''s approval of the site being scanned. This is used by Customer Support to disable scans at the customer''s request. Use a value of 0 to retrieve disabled sites, 1 to retrieve enabled sites.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "query_client_id",
            "in": "query",
            "description": "Retrieve all accessible sites that are associated with the Client ID given. Equivalent to the 'client_id' parameter.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "query_create_date",
            "in": "query",
            "description": "The date the site was created / added to the list of sites scanned. Must be in epoch-seconds.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_current_scan_id",
            "in": "query",
            "description": "Retrieve sites based on the Instance ID of the current scan.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "query_description",
            "in": "query",
            "description": "Retrieve sites that have descriptions exactly matching the given text (case-sensitive).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_enable_scan_creds",
            "in": "query",
            "description": "A value of 0 (or ''false'') will retrieve sites which do not use credentials for scanning; a value of 1 (or ''true'') retrieves sites which do require credentials.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1",
                "true",
                "false"
              ]
            }
          },
          {
            "name": "query_enable_bla_creds",
            "in": "query",
            "description": "A value of 0 (or ''false'') will retrieve sites which have Business Logic Assessment (BLA) credentials disabled; a value of 1 (or ''true'') retrieves sites which have BLA creds enabled",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1",
                "true",
                "false"
              ]
            }
          },
          {
            "name": "query_global_rank",
            "in": "query",
            "description": "Retrieve sites matching the global rank rating. Global rank rates the security of a site compared to other sites under WhiteHat service. Range is between 1 and 100.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "query_market_rank",
            "in": "query",
            "description": "Retrieve sites matching the industry rank rating. Market rank rates the security of a site compared to other sites under WhiteHat service that are in the same industry. Range is between 1 and 100.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_industry",
            "in": "query",
            "description": "Retrieve sites based on the vertical market they belong to.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "Accommodation and Food Services",
              "example": "Accommodation and Food Services",
              "enum": [
                "Accommodation and Food Services",
                "Administrative and Support and Waste Management and Remediation Services",
                "Agriculture, Forestry, Fishing and Hunting",
                "Arts, Entertainment, and Recreation",
                "Construction",
                "Educational Services",
                "Finance and Insurance",
                "Health Care and Social Assistance",
                "Information",
                "Management of Companies and Enterprises",
                "Manufacturing",
                "Mining, Quarrying, and Oil and Gas Extraction",
                "Other Services (except Public Administration)",
                "Professional, Scientific, and Technical Services",
                "Public Administration",
                "Real Estate and Rental and Leasing",
                "Retail Trade",
                "Transportation and Warehousing",
                "Utilities",
                "Wholesale Trade"
              ]
            }
          },
          {
            "name": "query_label_like",
            "in": "query",
            "description": "Retrieve sites with labels matching all or part of the string given (case-insensitive).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_label_not_like",
            "in": "query",
            "description": "Retrieve sites with labels that do NOT match any part of the string given (case-insensitive).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_satellite",
            "in": "query",
            "description": "Indicates whether this site is scanned through a satellite device (for internal intranet and development sites). A value of 0 retrieves sites not being scanned via a satellite device, a value of 1 retrieves sites that are using a satellite device.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "query_satellite_id",
            "in": "query",
            "description": "Retrieve sites based on the satellite device ID given.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "query_scan_cred_updated_date",
            "in": "query",
            "description": "Retrieve sites based on the date that the scanning credentials were last updated. Must be in epoch-seconds.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_scan_schedule_name",
            "in": "query",
            "description": "Retrieve sites that have a scan schedule name that exactly matches what is given (case-sensitive).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_scan_schedule_name_like",
            "in": "query",
            "description": "Retrieve sites that have scan schedule names matching all or part of the name given (case-insensitive).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_scan_schedule_timezone",
            "in": "query",
            "description": "Retrieve sites based on their scan schedule timezone. EXAMPLE: ''America/New_York''",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_service_level",
            "in": "query",
            "description": "Indicates whether the site is not currently monitored (None = 0), or is monitored by the Premium (PE = 1), Standard (SE = 2), Baseline (BE = 3), or Pre-Launch (PL = 5) Service.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1",
                "2",
                "3",
                "5"
              ]
            }
          },
          {
            "name": "query_service_type",
            "in": "query",
            "description": "Retrieves sites based on their Service Type. Only meaningful for sites with the Sentinel Pre-launch (PL) service level. Value mappings: 0 = ''None'', 1 = ''Enterprise'', 2 = ''Flex''.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1",
                "2"
              ]
            }
          },
          {
            "name": "query_site_url_like",
            "in": "query",
            "description": "Retrieve sites that have a base URL matching all or part of the string given (case-insensitive).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_speed",
            "in": "query",
            "description": "Accepts any positive decimal (real) number (representing seconds). The scanning speed, measured by the request delay, in seconds. EXAMPLES: 1, 0.5, 0.25, 0",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_vuln_policy_id",
            "in": "query",
            "description": "Retrieve sites that have the Vulnerability Policy with the ID given.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_weight",
            "in": "query",
            "description": "Retrieve sites with the given weight (priority level). Range: 1 to 10. Weight represents a site''s priority level.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "query_custom_asset_id_like",
            "in": "query",
            "description": "Retrieve sites based on Custom Asset ID that contains or matches what is given.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_asset_owner_name_like",
            "in": "query",
            "description": "Retrieve sites based on Asset Owner that contains or matches the given username.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_asset_status",
            "in": "query",
            "description": "Retrieve sites based on whether they are fully approved for scanning or not.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "active",
              "example": "active",
              "enum": [
                "active",
                "inactive"
              ]
            }
          },
          {
            "name": "display_all",
            "in": "query",
            "description": "A meta-parameter which exposes all of the properties which may be exposed by display parameters. This parameter has the highest precedence, so if it is given, other display parameters are redundant, with two exceptions (display_connection_status, display_connection_history).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "1",
              "example": "1",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_min",
            "in": "query",
            "description": "A meta-parameter which exposes only the label and id properties of each site retrieved if set. This parameter has the lowest precedence, so other display parameters may be used to expose specific properties. NOTE: If this parameter is set to ''0'', more basic site properties are exposed, but not as many as would be if ''display_all'' is set.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_scan_status",
            "in": "query",
            "description": "Display a list of scan related indicators for each site retrieved. These flags indicate whether scans are running properly and whether user action is required to make scans run.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_groups",
            "in": "query",
            "description": "Display the list of groups to which each retrieved site belongs.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_scans",
            "in": "query",
            "description": "Display basic information on the first completed, last completed, and current scans for each site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_links_current_scan",
            "in": "query",
            "description": "Display a list of links and a link count for the current scan per site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_links_last_completed_scan",
            "in": "query",
            "description": "Display list of links and a link count for the last completed scan per site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_vuln_stats",
            "in": "query",
            "description": "Display aggregate statistics about the vulns for each site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_vuln_policy",
            "in": "query",
            "description": "Display ''vuln_policy'' as an object property of the Site resource. Refers to the Vulnerability Policy currently applied to the site.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_assessment_complete",
            "in": "query",
            "description": "Display ''assessment_complete'' as a boolean property of the Site resource. Indicates whether the first full assessment has been completed on the site. A false value indicates that either scanning or evaluation of outstanding vulnerabilities is incomplete.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_assessment_complete_date",
            "in": "query",
            "description": "Display the date that the first full assessment completed on the site. This value will be NULL if the assessment is not complete.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_contract_info",
            "in": "query",
            "description": "Display contract information for each site retrieved, useful for renewal processes.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_organization",
            "in": "query",
            "description": "Display the customer organization (client name) affiliated with each site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_entry_points",
            "in": "query",
            "description": "Entry points are starting point URLs for scan crawling. Setting this option will include a list of entry points as a property of the Site resource.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_entry_points_content",
            "in": "query",
            "description": "Display request content for POST entry points for each site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_site_credentials",
            "in": "query",
            "description": "Display a list of site credentials which may be used to log into the site under test. These are represented in plain text in order to allow for automated processes. Passwords are not displayed, but it is recommended that sensitive credentials not be used for this purpose.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_allowed_hosts",
            "in": "query",
            "description": "Display a list of allowed hosts as a property of the Site resource. Allowed hosts are hosts other than the site_url which are allowed be scanned as a part of a Site.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_scan_schedule",
            "in": "query",
            "description": "Display the scan schedule which indicates when automated scanning will take place.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_service_type",
            "in": "query",
            "description": "Display Service Type information. Only meaningful for sites with the Sentinel Pre-launch (PL) service level.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_description",
            "in": "query",
            "description": "Display the site description for each site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_tags",
            "in": "query",
            "description": "Display the tags for each site retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_custom_asset_id",
            "in": "query",
            "description": "Display the custom asset ID for sites retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_asset_owner",
            "in": "query",
            "description": "Display the asset owner name for sites retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_asset_phase",
            "in": "query",
            "description": "Display the site''s phase of development (Production, QA, etc.).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_wsi",
            "in": "query",
            "description": "Display WhiteHat Security Index (WSI) information for sites retrieved.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_connection_status",
            "in": "query",
            "description": "Display details about the site''s connection status. NOTE: This data will not appear unless: a) This flag is set, at least one scan has been attempted on the site, and the site was offline during the scan, or b) the site''s login handler was invalid during the scan (scanner was unable to successfully log into the site).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_connection_history",
            "in": "query",
            "description": "Display a list of all connection status objects (see above) for the site. NOTE: This data will not appear unless: a) This flag is set, at least one scan has been attempted on the site, and the site was offline during a scan, or b) the site''s login handler was invalid during a scan (scanner was unable to successfully log into the site).",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_access_issues",
            "in": "query",
            "description": "Display the details of Access Issues reported by the TRC. If a site has one or more access issues reported, the following details will be displayed. 1)Hostname, 2)Access Issue, 3)Issue Prevents, 4)Issue Reported - datetime the issue was created, 5)Last Checked - datetime the issue was last checked, 6)Test Request, 7)TRC Note.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "page:limit",
            "in": "query",
            "description": "Limit results to n number of sites.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "page:offset",
            "in": "query",
            "description": "Begin showing results from site number n.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "page:order_by",
            "in": "query",
            "description": "Order the results.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "id",
              "example": "id",
              "enum": [
                "id",
                "id_asc",
                "id_desc",
                "label",
                "label_asc",
                "label_desc",
                "vuln_stats",
                "vuln_stats_asc",
                "vuln_stats_desc",
                "scan_status",
                "scan_status_asc",
                "scan_status_desc",
                "asset_status",
                "asset_status_asc",
                "asset_status_desc",
                "scan_schedule_name",
                "scan_schedule_name_asc",
                "scan_schedule_name_desc",
                "scan_schedule_timezone",
                "scan_schedule_timezone_asc",
                "scan_schedule_timezone_desc",
                "create_date",
                "create_date_asc",
                "create_date_desc",
                "activation_date",
                "activation_date_asc",
                "activation_date_desc",
                "weight",
                "weight_asc",
                "weight_desc",
                "satellite",
                "satellite_asc",
                "satellite_desc",
                "satellite_id",
                "satellite_id_asc",
                "satellite_id_desc",
                "industry",
                "industry_asc",
                "industry_desc",
                "enable_scan_creds",
                "enable_scan_creds_asc",
                "enable_scan_creds_desc",
                "scan_cred_updated_date",
                "scan_cred_updated_date_asc",
                "scan_cred_updated_date_desc",
                "global_rank",
                "global_rank_asc",
                "global_rank_desc",
                "market_rank",
                "market_rank_asc",
                "market_rank_desc",
                "service_level",
                "service_level_asc",
                "service_level_desc",
                "service_type",
                "service_type_asc",
                "service_type_desc"
              ]
            }
          },
          {
            "name": "format",
            "in": "query",
            "description": "The response representation format for results.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "xml",
              "example": "json",
              "enum": [
                "json",
                "xml",
                "csv"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Provides information on a particular site.",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Sites"
                }
              },
              "application/xml": {
                "example": "XML preview is currently not supported."
              },
              "text/csv, text/comma-separated-values": {
                "schema": {
                  "type": "string",
                  "description": "Column headers for data that may be returned using this format.",
                  "example": "\"WhiteHat Asset ID\",\"Site Name\",\"Service Level / Type\",\"Total Findings\",\"Scan Schedule\",\"Time Zone\",\"Action Type\",\"Custom Asset ID\",\"Asset Owner\""
                }
              }
            }
          },
          "400": {
            "description": "BadRequestResponse indicates a request with invalid parameters.",
            "content": {}
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access.",
            "content": {}
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized.",
            "content": {}
          },
          "500": {
            "description": "GenericError generic error.",
            "content": {}
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "Stats": {
        "type": "object",
        "properties": {
          "total_sites": {
            "type": "string"
          }
        }
      },
      "SiteTags": {
        "type": "array",
        "description": "List of new tags. A maximum of 25 alphanumeric characters (plus underscore '_') per tag string is recommended.",
        "items": {
          "type": "string"
        }
      },
      "Sites": {
        "type": "object",
        "properties": {
          "sites": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SiteObj"
            }
          },
          "stats": {
            "$ref": "#/components/schemas/Stats"
          }
        }
      },
      "SiteEntryPoint": {
        "properties": {
          "id": {
            "type": "number"
          },
          "method": {
            "type": "string"
          },
          "date_added_t": {
            "type": "string",
            "nullable": true
          },
          "creator_id": {
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "number"
              }
            ]
          },
          "uri": {
            "type": "string"
          },
          "maker": {
            "type": "string"
          },
          "href": {
            "type": "string"
          },
          "content": {
            "type": "string"
          }
        }
      },
      "SiteScheduleSpec": {
        "properties": {
          "duration": {
            "type": "number",
            "nullable": true
          },
          "cron_spec": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "time": {
            "type": "string"
          },
          "weekday": {
            "type": "string"
          }
        }
      },
      "SiteJob": {
        "properties": {
          "id": {
            "type": "string"
          }
        }
      },
      "SiteSchedule": {
        "nullable": true,
        "properties": {
          "name": {
            "type": "string"
          },
          "api-version": {
            "type": "number"
          },
          "timezone": {
            "type": "string"
          },
          "specs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SiteScheduleSpec"
            }
          },
          "id": {
            "type": "string"
          },
          "start_date": {
            "type": "string",
            "nullable": true
          },
          "job": {
            "$ref": "#/components/schemas/SiteJob"
          },
          "href": {
            "type": "string"
          },
          "creator": {
            "type": "string"
          }
        }
      },
      "SiteCredStats": {
        "properties": {
          "invalid_business_logic_credentials": {
            "type": "number"
          },
          "invalid_scanning_credentials": {
            "type": "number"
          }
        }
      },
      "AccessIssues": {
        "type": "string"
      },
      "Preset": {
        "properties": {
          "name": {
            "type": "string"
          },
          "id": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "CustomPolicy": {
        "nullable": true,
        "properties": {
          "description": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          }
        }
      },
      "SentinelFeatures": {
        "properties": {
          "name": {
            "type": "string"
          },
          "purchased": {
            "type": "boolean"
          }
        }
      },
      "Host": {
        "properties": {
          "id": {
            "type": "number"
          },
          "scheme": {
            "type": "string"
          },
          "href": {
            "type": "string"
          },
          "hostname": {
            "type": "string"
          }
        }
      },
      "Link": {
        "properties": {
          "url": {
            "type": "string"
          },
          "reply_content": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "reply_code": {
            "type": "number"
          },
          "state": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Scan": {
        "nullable": true,
        "properties": {
          "links": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "id": {
            "type": "number"
          },
          "begin": {
            "type": "string",
            "nullable": true
          },
          "duration": {
            "type": "number",
            "nullable": true
          },
          "data": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string",
            "nullable": true
          },
          "end": {
            "type": "string",
            "nullable": true
          },
          "timestamp": {
            "type": "string",
            "nullable": true
          },
          "job": {
            "type": "number"
          },
          "href": {
            "type": "string",
            "nullable": true
          },
          "requested_status": {
            "type": "string",
            "nullable": true
          },
          "link_count": {
            "type": "number"
          }
        }
      },
      "SiteVulnPolicy": {
        "properties": {
          "href": {
            "type": "string"
          },
          "id": {
            "type": "string"
          }
        }
      },
      "SiteCredential": {
        "nullable": true,
        "properties": {
          "expire_notify_before": {
            "type": "string",
            "nullable": true
          },
          "cred_group_name": {
            "type": "string",
            "nullable": true
          },
          "wh_managed": {
            "type": "boolean"
          },
          "expire_type": {
            "type": "string",
            "nullable": true
          },
          "selenium_script": {
            "type": "string",
            "nullable": true
          },
          "updated_t": {
            "type": "number",
            "nullable": true
          },
          "account_email": {
            "type": "string",
            "nullable": true
          },
          "match_expression": {
            "type": "string",
            "nullable": true
          },
          "secret_key": {
            "type": "string",
            "nullable": true
          },
          "priority": {
            "type": "number",
            "nullable": true
          },
          "expire_begin": {
            "type": "string",
            "nullable": true
          },
          "expire_freeform": {
            "type": "string",
            "nullable": true
          },
          "username": {
            "type": "string",
            "nullable": true
          },
          "creator": {
            "type": "string",
            "nullable": true
          },
          "href": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string",
            "nullable": true
          },
          "id": {
            "type": "number"
          },
          "login_valid_url": {
            "type": "string",
            "nullable": true
          },
          "notes": {
            "type": "string",
            "nullable": true
          },
          "login_url": {
            "type": "string",
            "nullable": true
          },
          "scanning_cred": {
            "type": "boolean"
          },
          "pam_target": {
            "type": "string",
            "nullable": true,
            "description": "Target or Secret Path (for Vault app_role) identifier for PAM credential retrieval"
          },
          "pam_integration_id": {
            "type": "number",
            "nullable": true,
            "description": "ID of the PAM integration to use for credential retrieval"
          },
          "options": {
            "type": "string",
            "nullable": true,
            "description": "Additional options/configuration for the credential"
          }
        }
      },
      "SiteGroup": {
        "properties": {
          "name": {
            "type": "string"
          },
          "href": {
            "type": "string"
          },
          "id": {
            "type": "number"
          }
        }
      },
      "SeleniumScripts": {
        "type": "object"
      },
      "BLA": {
        "properties": {
          "bla_status": {
            "type": "string"
          },
          "last_bla_completed": {
            "type": "string"
          },
          "last_bla_started": {
            "type": "string"
          }
        }
      },
      "Severity": {
        "type": "object",
        "properties": {
          "high": {
            "type": "string"
          },
          "critical": {
            "type": "string"
          },
          "urgent": {
            "type": "string"
          },
          "low": {
            "type": "string"
          },
          "medium": {
            "type": "string"
          }
        }
      },
      "Advanced": {
        "properties": {
          "customized": {
            "type": "string"
          },
          "likelihood": {
            "$ref": "#/components/schemas/Score"
          },
          "risk": {
            "$ref": "#/components/schemas/Score"
          },
          "impact": {
            "$ref": "#/components/schemas/Score"
          }
        }
      },
      "Score": {
        "properties": {
          "critical": {
            "type": "string"
          },
          "high": {
            "type": "string"
          },
          "medium": {
            "type": "string"
          },
          "low": {
            "type": "string"
          },
          "note": {
            "type": "string"
          }
        }
      },
      "VulnStats": {
        "type": "object",
        "properties": {
          "severity": {
            "$ref": "#/components/schemas/Severity"
          },
          "closed": {
            "type": "number"
          },
          "open": {
            "oneOf": [
              {
                "type": "number"
              },
              {
                "type": "string"
              }
            ]
          },
          "advanced": {
            "$ref": "#/components/schemas/Advanced"
          },
          "out_of_scope": {
            "type": "number"
          },
          "score": {
            "$ref": "#/components/schemas/Score"
          },
          "accepted": {
            "type": "number"
          },
          "customized": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "SiteObj": {
        "properties": {
          "custom_asset_id": {
            "type": "string",
            "nullable": true
          },
          "label": {
            "type": "string"
          },
          "host_bad": {
            "type": "string"
          },
          "service_type": {
            "type": "string"
          },
          "tags": {
            "$ref": "#/components/schemas/SiteTags"
          },
          "entry_points": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SiteEntryPoint"
            }
          },
          "client_id": {
            "type": "number"
          },
          "scan_schedule": {
            "$ref": "#/components/schemas/SiteSchedule"
          },
          "assessment_complete": {
            "type": "boolean"
          },
          "wsi_industry_rank": {
            "type": "string",
            "nullable": true
          },
          "asset_owner_name": {
            "type": "string"
          },
          "first_completed_scan": {
            "$ref": "#/components/schemas/Scan"
          },
          "organization": {
            "type": "string",
            "nullable": true
          },
          "asset_phase": {
            "type": "string",
            "nullable": true
          },
          "contract_end_date": {
            "type": "string",
            "nullable": true
          },
          "site_credential_stats": {
            "$ref": "#/components/schemas/SiteCredStats"
          },
          "access_issues": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AccessIssues"
            }
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "preset": {
            "$ref": "#/components/schemas/Preset"
          },
          "custom_policy": {
            "$ref": "#/components/schemas/CustomPolicy"
          },
          "sentinel_features": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SentinelFeatures"
            }
          },
          "allowed_hosts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Host"
            }
          },
          "sentinel_feature_override": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SentinelFeatures"
            }
          },
          "lh_bad": {
            "type": "string",
            "nullable": true
          },
          "current_scan": {
            "$ref": "#/components/schemas/Scan"
          },
          "vuln_policy": {
            "$ref": "#/components/schemas/SiteVulnPolicy"
          },
          "last_completed_scan": {
            "$ref": "#/components/schemas/Scan"
          },
          "wsi_score": {
            "type": "string",
            "nullable": true
          },
          "site_credentials": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SiteCredential"
            }
          },
          "id": {
            "type": "number"
          },
          "assessment_complete_date": {
            "type": "string",
            "nullable": true
          },
          "groups": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SiteGroup"
            }
          },
          "form_train_selenium_scripts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SeleniumScripts"
            }
          },
          "business_logic_assessment": {
            "$ref": "#/components/schemas/BLA"
          },
          "wsi_global_rank": {
            "type": "string",
            "nullable": true
          },
          "vuln_stats": {
            "$ref": "#/components/schemas/VulnStats"
          },
          "asset_scan_status": {
            "type": "string",
            "nullable": true
          },
          "scan_status": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "activation_date": {
            "type": "string",
            "nullable": true
          },
          "active_admin": {
            "type": "boolean"
          },
          "active_consult": {
            "type": "boolean"
          },
          "active_user": {
            "type": "boolean"
          },
          "bla_cred_updated_by": {
            "type": "string",
            "nullable": true
          },
          "bla_cred_updated_date": {
            "type": "string",
            "nullable": true
          },
          "create_date": {
            "type": "number"
          },
          "discovery": {
            "type": "boolean"
          },
          "enable_bla_creds": {
            "type": "boolean"
          },
          "enable_scan_creds": {
            "type": "boolean"
          },
          "href": {
            "type": "string"
          },
          "industry": {
            "type": "string"
          },
          "satellite": {
            "type": "boolean"
          },
          "scan_cred_updated_by": {
            "type": "string",
            "nullable": true
          },
          "scan_cred_updated_date": {
            "type": "string",
            "nullable": true
          },
          "scan_rate_limit": {
            "type": "number"
          },
          "service_level": {
            "type": "string"
          },
          "site_url": {
            "type": "string"
          },
          "speed": {
            "type": "number"
          },
          "visibility": {
            "type": "string"
          },
          "weight": {
            "type": "number"
          },
          "global_rank": {
            "type": "number",
            "nullable": true
          },
          "market_rank": {
            "type": "string",
            "nullable": true
          },
          "satellite_id": {
            "type": "number",
            "nullable": true
          }
        }
      }
    }
  }
}
```